Bug 995138 - Invalid characters allowed in pathnames
Invalid characters allowed in pathnames
Product: Fedora
Classification: Fedora
Component: ntfs-3g (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-08 11:51 EDT by Andrew E. Mileski
Modified: 2015-02-17 11:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 11:39:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew E. Mileski 2013-08-08 11:51:05 EDT
Description of problem:

Fedora 19 allows the use of pathnames with invalid characters on NTFS filesystems.

NTFS filesystems should be mounted the the windows_names option.

How reproducible:


Steps to Reproduce:
1. Mount a NTFS volume (example: use xfce desktop with a NTFS formmated USB flash drive).
2. Create a directory with an invalid character, such as a colon ":".
3. Put a file in the directory.
4. Try to mount the same filesystem on a Windows 8 system, and access the file.

Actual results:

Windows 8 reports invalid characters in the directory name, and the file cannot be accessed.

Expected results:

Attempts to create pathnames with invalid characters should return an error and be prevented.

Additional info:

See "man ntfs-3g":

Windows Filename Compatibility

NTFS  supports  several filename namespaces: DOS, Win32 and POSIX. While the ntfs-3g driver handles all of them, it always creates new files in the POSIX namespace for maximum portability and interoperability reasons.   This  means that  filenames  are  case sensitive and all characters are allowed except '/' and '\0'. This is perfectly legal on Windows, though some application may get confused. The option windows_names may be used to apply  Windows  restrictions to new file names.



  This option prevents files, directories and extended attributes to be created with a  name  not  allowed  by windows,  either because it contains some not allowed character (which are the nine characters " * / : < > ? \ | and those whose code is less than 0x20) or because the last character is a space or a dot. Existing such files can still be read (and renamed).
Comment 1 Tom "spot" Callaway 2013-08-09 13:29:40 EDT
So... this bug is about the existence of the option that you want? Am I missing something, or do you just want to use the windows_names option?
Comment 2 Fedora End Of Life 2015-01-09 14:21:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:39:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.